<mamecheat version="1">

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pw@1B39E2=012C</action>
    </script>
  </cheat>

  <cheat desc="Always have Full Weapon">
    <script state="run">
      <action>maincpu.pb@1B3A42=64</action>
    </script>
  </cheat>

  <cheat desc="Always have Special Shot">
    <script state="run">
      <action>maincpu.pb@1B3A3E=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Secondary Weapon Ammo">
    <script state="run">
      <action>maincpu.pb@1B3A18=63</action>
    </script>
  </cheat>

  <cheat desc="Select Secondary Weapon">
    <parameter>
      <item value="0x00">Normal MITUKI</item>
      <item value="0x01">Normal VOGT</item>
      <item value="0x02">Normal RICK</item>
      <item value="0x03">Launcher</item>
      <item value="0x04">Napalm</item>
      <item value="0x05">Gas</item>
      <item value="0x06">Search</item>
      <item value="0x07">Pod</item>
      <item value="0x08">Spark</item>
      <item value="0x0A">Single Shot Laser</item>
      <item value="0x0B">Thunder</item>
      <item value="0x0C">Explosion</item>
      <item value="0x0D">Rifle Laser</item>
      <item value="0x0E">Single Fire</item>
      <item value="0x0F">Single Big Laser</item>
      <item value="0xFF">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1B3A2D=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
